Bug 398799 - Default applications KCM window is too small
Summary: Default applications KCM window is too small
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: general (show other bugs)
Version: 5.15.0
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-18 14:00 UTC by Patrick Silva
Modified: 2019-03-30 19:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments
screenshot (1023.98 KB, image/png)
2018-09-18 14:01 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-09-18 14:00:41 UTC
Neon dev unstable here...

search for "default applications" KCM in the apps launcher and open it.
Click "File manager" section
Window is too small as you can see in my screenshot.
Comment 1 Patrick Silva 2018-09-18 14:01:15 UTC
Created attachment 115073 [details]
screenshot
Comment 2 Nate Graham 2018-09-18 19:45:04 UTC
Not a QML KCM, so probably its sizeHint is too low.
Comment 3 Christoph Feck 2018-10-03 21:52:31 UTC
It computes the sizeHint from the first (default) page. It would need to go through all pages and use QSize::expandedTo() with the sizeHint for each of them.
Comment 4 Nate Graham 2019-03-30 19:20:30 UTC
Git commit cf1305a2fb40b96d4b57041bafd57ef44d0534b0 by Nate Graham, on behalf of Tigran Gabrielyan.
Committed on 30/03/2019 at 19:20.
Pushed by ngraham into branch 'master'.

Fix Default Applications KCM window size

Summary:
Config widgets were loading in when a service item was clicked.
This change loads all config widgets at the start so the window can be sized to the largest widget.
FIXED-IN: 5.16.0

Reviewers: #plasma, ngraham

Reviewed By: ngraham

Subscribers: ngraham, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D20072

M  +36   -59   kcms/componentchooser/componentchooser.cpp
M  +4    -0    kcms/componentchooser/componentchooser.h

https://commits.kde.org/plasma-desktop/cf1305a2fb40b96d4b57041bafd57ef44d0534b0